
-- DROP TABLE tl_score;




CREATE TABLE tl_score (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    score_number number(12) NULL,
    color_rank number(12) NULL,
    wghtd_score number(12) NULL,
    test_analysis_id number(12)  NULL,
    factor_number number(12)  NULL,
    level_number number(12)  NULL,
    narrative_id number(12)  NULL
    );



ALTER TABLE tl_score ADD    
    CONSTRAINT PK_tl_score PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_score_test_analysis_id 
    ON tl_score (test_analysis_id);

    CREATE INDEX idx_tl_score_narrative_id 
    ON tl_score (narrative_id);
